/* Font */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Dancing+Script&family=Roboto:wght@100&display=swap');

* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: Helvetica, 'Roboto', sans-serif;

    }


    body {
    background: #F9F4E3;
    height: 100vh;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    }


    .wrapper {
        flex: 1;
    }

    img{
        width: 100%;
    }


    :root {
        --lightgreen: #BBD4B2;
        --lightblue: #C0E2EE;
        --barkblue: #3068AF;
        --curryyellow: #E3C521;
        --brown-opacity: rgb(112,78,40,0.7);
        --white: #fff;
        --background: #F9F4E3;
        }

    /*********** Navigations bar ***********/

.container img {
	display: block;
	width: 100%;
}

header {
    position: sticky;
    z-index: 100;
}

main{
    margin-top: 100px;
}

nav {
	position: fixed;
	z-index: 10;
	left: 0;
	right: 0;
	top: 0px;
	padding: 0 4px 0 5%;
	height: 100px;
	background-color: var(--lightgreen);
}
nav .logo {
	float: left;
	width: 240px;
	display: flex;
	align-items: center;
}

.nav-bar {
    display: flex;
    align-items: center; 
    justify-content: space-between; 
}

.hamburger-cart-container-2{
    display: none;
    font-size: 25px;
}

.hamburger-cart-container-2 i {
    color: #000000;
}

nav .links {
	float: right;
	padding: 0;
	margin: 0;
	width: 60%;
	height: 100%;
	display: flex;
	justify-content: space-around;
	align-items: center;
}
nav .links li {
	list-style: none;
}
nav .links a {
	display: block;
	padding: 10px;
	font-size: 16px;
	font-weight: bold;
	color: #000000;
	text-decoration: none;

    
}
 
nav .links a:hover {
	background-color: #849f7a;
    border-radius: 5px;   
}

#nav-toggle {
	position: absolute;
	top: -100px;
}
nav .icon-burger {
	display: none;
	position: absolute;
	right: 5%;
	top: 50%;
	transform: translateY(-50%);
}
nav .icon-burger .line {
    display: block;
	width: 30px;
	height: 5px;
	background-color: #000000;
	margin: 5px;
	border-radius: 3px;
	transition: all .3s ease-in-out;
}

/************** Knapper *************/

.butten-container{
    display: flex;
    justify-content: center;
    padding: 20px;

}

.my-button {
    background-color: var(--barkblue);
    font-family: 'Bebas Neue', sans-serif;
    padding: 10px 20px; /* Polstring (juster størrelsen) */
    border: none; /* Ingen kantlinje */
    border-radius: 5px; /* Afrundede hjørner */
    cursor: pointer; /* Pegefingerkursør ved hover */
    text-align: left;
    text-decoration: none;
    color: #fff;
    font-size: 30px;
}

.my-button:hover {
    background-color: #244e85; /* Ændrer baggrundsfarve ved hover */
}

.lig-i-kurv{
    display: flex;
    gap: 20px;
    padding: 30px 0;
}

.plus-button{
    background-color: var(--barkblue);
    color:black; /* Tekstfarve */
    font-family: 'Bebas Neue', sans-serif;
    padding: 10px 20px; /* Polstring (juster størrelsen) */
    border: none; /* Ingen kantlinje */
    border-radius: 5px; /* Afrundede hjørner */
    cursor: pointer; /* Pegefingerkursør ved hover */
    text-align: left;
    text-decoration: none;
    color: #fff;
}

.tilbage-knap {
    position: absolute;
    top: 120px;
    left: 20px;
    padding: 10px;
    background-color: var(--barkblue);
    font-family: 'Bebas Neue', sans-serif;
    border: none; /* Ingen kantlinje */
    border-radius: 5px; /* Afrundede hjørner */
    cursor: pointer; /* Pegefingerkursør ved hover */
    text-align: left;
    text-decoration: none;
    color: #fff;
    font-size: 20px;
}

.tilbage-knap:hover{
    background-color: #244e85; 
}

/**************** forsiden *****************/

h1{
    font-family:'Bebas Neue';
    font-size: 2.5rem;
    text-align: center;
    padding: 30px;
}

h2{
    font-family: 'Bebas Neue', sans-serif;
    display: flex;
    justify-content: center;
    padding: 5px;
}

h4{
    font-family: 'Bebas Neue', sans-serif;
    font-size: 2.5rem;
    text-align: left;
}

.indhold{
    display: grid;
    align-content: center;
    font-size: 1.5rem;
    padding-right: 30px;
}

.smagskasse{
    padding-left: 50px;
}

.indhold-1{

    padding-right: 50px;
}

/* Bølger */

.bue{
    display: none;
}

.bolge {
    display: none;
}

.bundbolge{
    position: absolute;
    bottom: 0;
    left: 0;
}

/* Om TrøjborBryg */

.om-artikel {
    position: relative;
    margin: 0 auto;
  }
  
  .om-artikel img {vertical-align: middle;}
  
  .om-artikel .om-section {
    display: grid;
    align-content: center;
    position: absolute;
    bottom: 0;
    right: 0;
    top: 0;
    background: var(--brown-opacity);
    color: #f1f1f1;
    width: 50%;
    padding: 100px;
  }

  .om-artikel .om-section h2, .om-arktiviteter .arktiviteter h2{
    font-size: 2.5rem;
    padding: 10px 0;
  }

  .om-artikel .om-section p, .om-arktiviteter .arktiviteter p{
    font-size: 1.5rem;
    padding: 20px 0;
    line-height: 40px;
  }

/* Øl udvalg */
.ol-artikel{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    padding: 70px 20px;
    gap: 10px;
}


.over {
    position: relative;
}

/* Arktiviteter */

.arktiviteter{
    padding: 20px 30%;
}

.om-arktiviteter {
    position: relative;
    margin: 0 auto;
  }
  
  .om-arktiviteter img {vertical-align: middle;}
  
  .om-arktiviteter .arktiviteter {
    display: grid;
    align-content: center;
    position: absolute;
    bottom: 0;
    left: 0;
    top: 0;
    background: var(--brown-opacity);
    color: #f1f1f1;
    width: 50%;
    padding: 100px;
  }


/************ Vores øl side ************/


.overskrift{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px 40px 50px;
}

.overskrift i{
    font-size: 25px;
}

.ol{
    display: grid; 
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 50px;
    padding: 20px 20px;
}

/* Øl sider */

.info{
    display: grid;
    grid-template-columns: 320px 320px;
    grid-template-rows: 420px 420px;
    gap: 5%;
    padding: 80px 50px;
    justify-content: center;
    justify-items: center;
}

.ol-billede img{
 width: 100%;
}

.ol-billede{
    width: 85%;
    justify-content: center;
}

.info-svg img{
    width: 100%;
}

.mad {
    width: 65%;
}

.mad img{
    width: 100%;
}

.mad-1 h2{
    text-align: center;
}

.mad-1{
    display: grid;
    grid-template-columns: 320px;
    grid-template-rows: 45px 145px;
    justify-content: center;
    justify-items: center;
}


/******* Øl pakker ******/

.ol-pakker{
    display: grid;
    grid-template-columns: 420px 420px;
    grid-template-rows: 460px 415px 570px;
    padding: 30px;
    gap: 40px;
    justify-content: center;
    align-content: center;
}

.figure-1{
    display: none;
}

.ol-info{
    display: grid;
    align-items: center;
    align-content: center;
    font-size: 1.1rem;
}

.indeholder{
    padding: 20px 0;
}

/* Personlig */

.banner-wrapper{
    max-width: 1280px;
    margin: 0 auto;
    padding: 1.6rem 1.2rem;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    min-height: 100vh;
}

.banner-content{
    flex: 1;
    display: grid;
    grid-template-columns: 1fr;
    align-content: center;
    justify-content: center;
}

.banner-left span{
    display: block;
    font-size: 4.4rem;
}

.banner-left button{
    background: #222;
    border: none;
    color: #fff;
    font-size: 1.1rem;
    font-family: inherit;
    font-weight: 600;
    text-transform: uppercase;
    padding: 0.65rem 2rem;
    border: 3px solid #222;
    cursor: pointer;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.banner-left button:hover{
    background: #fff;
    color: #222;
    border-color: #222;
}
.banner-left button:focus{
    outline: 0;
}
.color-content{
    margin-top: 3.2rem;
}

.color{
    width: 35px;
    height: 35px;
    background: none;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    margin-right: 12px;
    cursor: pointer;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.color-lyseroed{
    background-color: #F27980;
}
.color-gul{
    background-color: #E2C422;
}
.color-groen{
    background-color: #385326;
}
.color-bla{
    background-color: #3068AF;
}

.color:hover{
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.3);
}
.active-color{
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.3);
}
.color-groups{
    padding: 1rem 0;
    display: flex;
}

/*********** Om os ***********/
.vores-bryghus-svg{
    display: none;
}

.vores-bryghus-computer-svg{
    padding: 0 150px;
    margin-top: 50px;

}

/* Hendvisninger */

.hendvisniger {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: var(--lightgreen);
    gap: 20%;
    padding: 50px 100px 70px 100px;
    margin-top: -5px;
}

.hendvisniger section {
    position: relative;
}

.hendvisniger img {
    width: 100%; /* Gør billedet fuld bredde inden for sin container */
    display: block;
    
}

.hendvisniger h3 {
    position: absolute;
    top: 50%; /* Placerer teksten i midten vertikalt */
    left: 50%; /* Placerer teksten i midten horisontalt */
    transform: translate(-50%, -50%); /* Justerer positionen for at være i midten af billedet */
    color: white; /* Ændrer tekstfarven efter behov */
    z-index: 1; /* Sørger for, at teksten er over billedet */
    font-family: 'Bebas Neue', sans-serif;
    font-size: 2rem;
    text-align: center;
}

/***************** Footer ****************/

footer{
    background-color: var(--lightgreen);
    margin-top: -4px;
}

.footer {
    position: relative;
    display: grid; 
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 10%;
    padding: 30px;
    justify-items: center;

   }

   .social-icons{
    display: flex;
    gap: 20px;
    padding: 10px 0;
    font-size: 30px;
   }


    footer a {
	color: #000000;
	text-decoration: none;
    }

    footer a :hover{
        color: #849f7a;
        text-decoration: none;
        }


   .bottom-bar{
    display: flex;
    justify-content: center;
    padding: 30px;
   }

/*************** media ************/

/* Computer */

@media screen and (max-width: 1399px)
{
    nav .logo {
        width: 200px;  
    }

    .om-artikel .om-section {
        padding: 50px;
    }

    .om-artikel .om-section p, .om-arktiviteter .arktiviteter p {
        font-size: 1.2rem;
        padding: 20px 0;
        line-height: 30px;
    }
}

@media screen and (max-width: 1100px)
{

    .om-artikel .om-section p, .om-arktiviteter .arktiviteter p {
        font-size: 1rem;
        padding: 0;
        line-height: 30px;
    }

    .my-button {
        padding: 9px 20px;
        font-size: 25px;
    }

    /* Om øl */

    .ol-artikel{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        padding: 30px;
    }

    
    .smagskasse{
        padding: 0 50px;
    }
    
    .indhold{
        padding-right: 50px;
    }

}

/* ipad */

@media screen and (max-width: 915px) {

    .hamburger-cart-container{
        display: none;
    }

    .hamburger-cart-container-2{
        display: block;
    }

	nav .links {
		float: none;
		position: fixed;
		z-index: 9;
		left: 0;
		right: 0;
		top: 100px;
		bottom: 100%;
		width: auto;
		height: auto;
		flex-direction: column;
		justify-content: flex-start;
		background-color: var(--lightgreen);
		overflow: hidden;
		box-sizing: border-box;
		transition: all .5s ease-in-out;
	}
	nav .links a {
		font-size: 20px;
	}
	nav :checked ~ .links {
		bottom: 0;
	}
	nav .icon-burger {
		display: block;
        display: flex;
        gap: 10px;
        align-items: center;
	}
	nav :checked ~ .icon-burger .line:nth-child(1) {
		transform: translateY(10px) rotate(225deg);
	}
	nav :checked ~ .icon-burger .line:nth-child(3) {
		transform: translateY(-10px) rotate(-225deg);
	}
	nav :checked ~ .icon-burger .line:nth-child(2) {
		opacity: 0;
	}

    /* Billeder */


    #responsive-image-3 {
        /* Ændr billedet til det mobile billede */
        content: url('../img/henvisninger/bar-1.webp');
    }
    #responsive-image-4 {
        /* Ændr billedet til det mobile billede */
        content: url('../img/henvisninger/ol-smagning-1.webp');
    }
    #responsive-image-5 {
        /* Ændr billedet til det mobile billede */
        content: url('../img/henvisninger/rundvisning-1.webp');
    }

    /* knap */

    .tilbage-knap{
        font-size: 15px;
    }

    /* Forside */

    .bue{
        display: block;
    }
    
    .bolge {
        display: block;
        position: relative;
        z-index: 100;
    }

    /* Om Trøjborgbryg */

      .om-artikel .om-section {
        position: relative;
        background: var(--background);
        color: black;
        width: 100%;
        padding: 40px 20%;
      }

    /* Om øl */

    .ol-artikel{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        background: var(--lightgreen);
        padding: 0 30px;
    }

    .ol-artikel p{
        font-size: 1.3rem;
    }

    /* Øl udvalg */
    .ol{
        display: grid; 
        grid-template-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    }

    /* Rundvisninger */
    .om-arktiviteter .arktiviteter {
        position: relative;
        background: var(--background);
        color: black;
        width: 100%;
        padding: 40px 20%;
      }

    
    .bolge{
        position: absolute;
        top: 0;
    }

    /* Hendvisninger */

    .hendvisniger {
        gap: 13%;
        padding: 50px 50px 70px 50px;
    }
    
   
    .hendvisniger h3 {
        font-size: 1.5rem;
    }

    /**** Øl pakker ****/
    .ol-pakker{
        display: grid;
        grid-template-columns: 300px;
        grid-template-rows: 250px 420px 210px 420px 365px;
    }

    .banner-right img{
        width: 90%;
    }

    .figure-1{
        display: block;
    }
    
    .figure-2{
        display: none;
    }

    /*********** Om os ***********/
.vores-bryghus-svg{
    display: block;
    padding: 0 5%;
}

.vores-bryghus-computer-svg{
    display: none;
}
    

    /* footer */

    .footer {
        position: relative;
        display: grid; 
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        gap: 15%;
        justify-items: center;
        padding: 10px 0;
}
}

@media screen and (max-width: 740px) {
    .ol-artikel{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 300px 400px 300px 300px;
        justify-content: center;
        align-content: center;
        padding: 0 20%;
    }



    .indhold{
        padding: 0;
    }

    .ol-artikel img{
        width: 100%;
    }


   

    .ol-artikel .figure-1, .ol-artikel .figure-2 {
        display: flex;
        justify-content: center;
    }

    .ol{
        display: grid; 
        grid-template-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    }

    .info{
        display: grid;
        grid-template-columns: 257px 285px;
        grid-template-rows: 385px 330px;
        gap: 5%;
        padding: 80px 5px;
        justify-content: center;
        justify-items: center;
    }

    .lig-i-kurv{
        display: flex;
        gap: 5px;
        padding: 30px 0;
    }
    
    .my-button{
        font-size: 20px;
        padding: 15px;
    }

    .beskrivelse h1{
        padding: 10px 0 0 0;
        text-align: left;
    }

    
}

@media screen and (max-width: 625px) 
{

    /* Øl sider */

    .info{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 595px 265px 360px 530px;
        gap: 4%;
        padding: 80px 50px;
        justify-content: center;
        justify-items: center;
    }
    
    .mad-1 {
        text-align: center; /* Justér dette efter dine præferencer */
        grid-template-columns: 320px;
        grid-template-rows: 45px 175px;
    }

    .mad-1 h2{
        font-size: 30px;
    }

    
    .mad {
        /* Stil dine billeder efter behov, for eksempel maksimal bredde eller højde */
        max-width: 100%;
        height: auto;
        width: 70%;
    }

    .beskrivelse {padding: 10px 25px 0 25px;}

    .ol-billede{ padding: 10px 20px 0 20px;}
}

    

/* Mobil */

@media screen and (max-width: 480px) {

    nav .logo {
        width: 160px;  
    }

 /* Hendvisninger */

 .hendvisniger {
    gap: 7%;
    padding: 50px 25px 70px 25px;
}


.hendvisniger h3 {
    font-size: 1rem;
}

/* Forside */

    .ol-artikel{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 200px 300px 200px 200px;
    }

    .ol{
        display: grid; 
        grid-template-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    }

    .ol-artikel{
        padding: 10%;
        font-size: 1.1rem;
    }

    .ol-artikel p{
        font-size: 1rem;
    }

    .om-artikel .om-section {
        padding: 11px 10%;
    }

    .om-arktiviteter .arktiviteter {
        padding: 40px 10%;
    }

    /* Øl sider */

    .ol h2{
        font-size: 17px;
    }

    .info{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 342px 290px 400px 505px;
    gap: 4%;
    padding: 80px 50px;
    justify-content: center;
    justify-items: center;}


/* Øl pakker */
.overskrift {
    padding: 0 50px;
}

.ol-pakker{
    display: grid;
    grid-template-columns: 300px;
    grid-template-rows: 273px 420px 251px 370px 373px;
    padding: 0;
}

.ol-info{
    display: grid;
    align-items: flex-start;
    align-content: start;
    font-size: 1.1rem;
}

.figure-1{
    display: block;
}

.figure-2{
    display: none;
}

    /* Footer */

    .footer {
        position: relative;
        display: grid; 
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        gap: 10%;
        justify-items: left;
        padding: 2%;
        padding-bottom: 10%;
}
}